Subject: Re: [PATCH net-next] bnx2x: Add Nic partitioning mode (57712 devices)

From: Ben Hutchings <[email-masked]>
Date: Sun, 19 Dec 2010 21:21:52 +0000

On Sat, 2010-12-18 at 23:57 -0600, Matt Domsch wrote:
> On Fri, Dec 17, 2010 at 01:22:37PM +0000, Ben Hutchings wrote:
> > On Thu, 2010-12-16 at 20:45 -0600, Matt Domsch wrote:
> > > On Thu, Dec 09, 2010 at 04:49:25PM +0200, Eilon Greenstein wrote:
> > In the case of sfc, each port has a separate PCI function.  We read this
> > register field to find out which port we're talking to, as
> > virtualisation can alter the function number.  I don't know about the
> > others.
> 
> For a single card then, this makes sense.
> 
> pci<slot>#<port>  where port = dev_id
> 
> If I have 2 such cards on a PCI extender though, I think this breaks.
> Here, I'd see duplicate dev_id values, yes?
> 
> Do you label the ports on your cards in any fashion?  Do they have
> labels like port 0, port 1, port 2, ... ?  Does it matter if we give
> names starting at 0, or starting at 1?  latest biosdevname starts them
> at 1, or uses whatever value BIOS actually provides, which on systems
> I've tried, all start at 1.
[...]

Currently they aren't labelled, so far as I can aware.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.